 <!-- ============= Compiling and building:=== -->
 <chapter id="building">
 <title>コンパイルとビルド</title>
 <sect1 id="compile-program">
 <title>プログラムのコンパイルとビルド</title>
  <para>
   C/C++ プログラムを記述したら、それをビルドして起動したいとお思いでしょう。現在作成中のファイル (C/C++ のソースファイルの場合) をコンパイルする場合は、拡張ツールバーにある <guibutton>コンパイル</guibutton> ボタンをクリックするか、メニュー・アイテムの <menuchoice><guisubmenu>ビルド(_B)</guisubmenu><guimenuitem>コンパイル(_C)</guimenuitem></menuchoice> を選択するか、もしくは <keycap>[F9]</keycap> を押します。<interface>メッセージ・ウィンドウ</interface> が表示され、コンパイルエラーを含んだ全てのメッセージが一覧化されます。(赤で表示される) エラーの行をダブル・クリックすると、エラーが発生した行にジャンプすることができます。パス名を含んだマクロを定義することができ、さらに必要ならばコンパイラのオプションもセットすることが可能です。ソースファイルをコンパイルする時は、最初にファイルを (自動的に) 保存してからコンパイルします。
  </para>
  <para>
   ファイルのコンパイルでは実行型式ファイルのビルドは行いません。単にオブジェクト (<filename>*.o</filename>) ファイルを生成するだけです。 このファイルを後で他のオブジェクトやライブラリとリンクすると実行型式ファイルがビルドされます。
  </para>
  <para>
   ファイルをビルドする場合は、拡張ツールバーにある <guibutton>ビルド</guibutton> ボタンをクリックするか、メニュー・アイテムの <menuchoice><guisubmenu>ビルド(_B)</guisubmenu><guimenuitem>ビルド(_B)</guimenuitem></menuchoice> を選択するか、もしくは <keycap>[F10]</keycap> を押します。すると、再び <interface>メッセージ・ウィンドウ</interface> が表示され、ビルド時に発生した全てのメッセージが一覧化されます。ビルドではオブジェクトファイルとライブラリをリンクして実行型式ファイルを生成します。オブジェクトファイルにリンクするライブラリは、<interface>コンパイラのオプション</interface> ダイアログ (<menuchoice><guisubmenu>設定(_S)</guisubmenu><guimenuitem>コンパイラとリンカの設定 &hellip;</guimenuitem></menuchoice>) の中で指定することができます。
  </para>
  <note>
  <title>注記</title>
  <para>
   ビルドでは、オブジェクトファイルが更新されていなかったり、または未だ生成されていない場合には、まず最初にコンパイルを行います。これは最初に行うべきコンパイルを省略しても実行型式ファイルをビルドできることを意味しています。しかしファイル単体ではなくプロジェクトで開発を行っている場合は、コンパイルとビルドは全く別のコンセプトをそれぞれ持っていることに注意して下さい。
  </para>
  </note>
 </sect1> 
 </chapter>
